Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.dom.svg
Interface SVGFEMorphologyElement

All Superinterfaces:
  org.w3c.dom.Element, org.w3c.dom.Node, SVGElement, SVGFilterPrimitiveStandardAttributes, SVGStylable

All Known Implementing Classes:
  SVGOMFEMorphologyElement

public interface SVGFEMorphologyElement
extends SVGElement, SVGFilterPrimitiveStandardAttributes

Field Summary
`static short` | `SVG_MORPHOLOGY_OPERATOR_DILATE`
`static short` | `SVG_MORPHOLOGY_OPERATOR_ERODE`
`static short` | `SVG_MORPHOLOGY_OPERATOR_UNKNOWN`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`SVGAnimatedString` | `getIn1()`
`SVGAnimatedEnumeration` | `getOperator()`
`SVGAnimatedLength` | `getRadiusX()`
`SVGAnimatedLength` | `getRadiusY()`

Methods inherited from interface org.w3c.dom.svg.SVGElement
`getId, getOwnerSVGElement, getViewportElement, getXMLbase, setId, setXMLbase`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Methods inherited from interface org.w3c.dom.svg.SVGFilterPrimitiveStandardAttributes
`getHeight, getResult, getWidth, getX, getY`

Methods inherited from interface org.w3c.dom.svg.SVGStylable
`getClassName, getPresentationAttribute, getStyle`

Field Detail

### SVG_MORPHOLOGY_OPERATOR_UNKNOWN

    public static final short SVG_MORPHOLOGY_OPERATOR_UNKNOWN

See Also:
  Constant Field Values

### SVG_MORPHOLOGY_OPERATOR_ERODE

    public static final short SVG_MORPHOLOGY_OPERATOR_ERODE

See Also:
  Constant Field Values

### SVG_MORPHOLOGY_OPERATOR_DILATE

    public static final short SVG_MORPHOLOGY_OPERATOR_DILATE

See Also:
  Constant Field Values

Method Detail

### getIn1

    public SVGAnimatedString getIn1()

### getOperator

    public SVGAnimatedEnumeration getOperator()

### getRadiusX

    public SVGAnimatedLength getRadiusX()

### getRadiusY

    public SVGAnimatedLength getRadiusY()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.